uuid: e71a0378-b206-451e-952f-9b25c69d0ab6
langcode: en
status: true
dependencies: {  }
id: gronze_taxonomy_note_type_parent
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - taxonomy
  - gronze
  - level1
migration_group: gronze_taxonomy_parent
label: 'Note Type taxonomy from Gronze D7'
source:
  high_water_property:
    name: tid
    alias: td
  plugin: d7_taxonomy_term_gronze
  bundle: note_type
process:
  tid:
    plugin: migration_lookup
    migration: gronze_taxonomy_note_type
    source: tid
    no_stub: true
  weight: weight
  parent:
    -
      plugin: skip_on_empty
      method: process
      source: parent
    -
      plugin: migration_lookup
      migration: gronze_taxonomy_note_type
      no_stub: true
destination:
  plugin: 'entity:taxonomy_term'
  default_bundle: note_type
migration_dependencies:
  required:
    - gronze_taxonomy_note_type
